@charset "utf-8";

.main-footer {
  background: #222;
  color: white;
  max-width: 100%;
  width: 100%;

  & .footer--logo {
    -webkit-filter: brightness(0) grayscale(100%) invert(1);
    filter: brightness(0) grayscale(100%) invert(1);
    padding: 1rem 3rem;
  }

  & .footer--email {
    flex-direction: column;
    font-size: .8rem;
    padding: 2rem 0;

    & * {
      padding: .25rem;
    }
  }

  & .link-groups {
    font-size: .8rem;
    font-weight: 300;
    padding: 4rem;
    width: calc(200% / 3);

    & span {
      display: flex;
      margin: 0 1rem;
    }
  }

  & .county-website-info {
    font-size: 14px;
    font-weight: 300;
    padding: .5rem;
    width: calc(100% / 3);

    /* Two .county-website-info img rules merged */
    & img {
      align-self: center;
      max-width: 12rem;
      padding: 1rem .5rem .5rem;
      width: 100%;
    }

    & * {
      align-items: center;
    }
  }

  & .footer--column {
    flex-direction: column;
    padding: 1rem;
    width: calc(100% / 3);
  }

  & .footer--section {
    flex-direction: column;
    margin-bottom: 1rem;

    &-header {
      font-weight: 500;
      margin-bottom: .5rem;
    }

    & > * {
      align-items: center;
      min-height: 1.5rem;
      padding: .25rem 0;
    }

    & a {
      color: white;

      &:hover {
        color: var(--government-lt);
        text-decoration: underline;
      }
    }
  }

  & a {
    color: var(--color-2);
  }

  & span,
  & strong {
    display: contents;
  }
}

.county-website-info .row {
  line-height: 1.4;
}

@media screen and (max-width: 600px) {
  .main-footer {
    flex-direction: column;
    padding-bottom: 3rem;

    & > div {
      flex-direction: column;
    }

    & .county-website-info {
      width: 100%;
    }

    & a {
      display: contents;

      &::after {
        display: none;
      }
    }

    & .row {
      align-items: center;
      flex-direction: column;
      text-align: center;
    }

    & .footer--email a {
      display: flex;
    }

    & .link-groups {
      align-items: center;
      display: flex;
      flex-direction: column;
      padding: 2rem;
      width: 100%;

      & * {
        display: flex;
        margin: .5rem 0;
      }

      & span {
        display: none;
      }
    }

    & .footer--column {
      width: 100%;
    }
  }
}
